import React from 'react';
import type { AlignType, AlignResult, TargetType } from './Align.types';
declare type OnAlign = (source: HTMLElement, result: AlignResult) => void;
export interface AlignProps {
    align: AlignType;
    target: TargetType;
    onAlign?: OnAlign;
    viewportBufferTime?: number;
    viewportResize?: boolean;
    disabled?: boolean;
    children: React.ReactElement;
}
export interface ChildNode extends React.ReactElement {
    ref: React.Ref<any>;
}
export interface RefAlign {
    forceAlign: () => void;
}
declare const OcAlign: React.ForwardRefExoticComponent<AlignProps & React.RefAttributes<RefAlign>>;
export default OcAlign;
