import type { IntersectionObserverItem, Item, visibleElements } from './Carousel.types';
declare class ItemsMap extends Map<Item[0], Item[1]> {
    toArr(): Item[];
    toItems(): visibleElements;
    toItemsWithoutSeparators(): visibleElements;
    sort(arr: Item[]): Item[];
    set(key: Array<Item> | string, val?: IntersectionObserverItem): this;
    first(): IntersectionObserverItem | undefined;
    last(): IntersectionObserverItem | undefined;
    filter(predicate: (value: Item, index: number, array: Item[]) => boolean): Item[];
    find(predicate: (value: Item, index: number, obj: Item[]) => boolean): Item | undefined;
    findIndex(predicate: (value: Item, index: number, obj: Item[]) => unknown): number;
    getCurrentPos(item: string | IntersectionObserverItem, onlyItems: boolean): [Item[], number];
    prevGroup(item: string | IntersectionObserverItem, onlyItems?: boolean): IntersectionObserverItem | undefined;
    nextGroup(item: IntersectionObserverItem | string, onlyItems?: boolean): IntersectionObserverItem | undefined;
    prev(item: string | IntersectionObserverItem, onlyItems?: boolean): IntersectionObserverItem | undefined;
    next(item: IntersectionObserverItem | string, onlyItems?: boolean): IntersectionObserverItem | undefined;
    getVisible(): Item[];
    getVisibleElements(): Item[];
}
export default ItemsMap;
