/// <reference types="react" />
import ItemsMap from './ItemsMap';
import type { CustomScrollBehavior, IntersectionObserverItem, ItemOrElement, scrollToItemOptions, visibleElements } from './Carousel.types';
export declare const autoScrollApi: (items: ItemsMap, visibleElementsWithSeparators?: visibleElements, boundaryElement?: React.MutableRefObject<HTMLElement | null>, transitionOptions?: {
    duration?: number;
    ease?: (t: number) => number;
    behavior: string | Function;
}, rtl?: boolean, noPolyfill?: boolean) => {
    getItemById: (id: string) => IntersectionObserverItem;
    getItemElementById: (id: string | number) => Element;
    getItemByIndex: (index: number | string) => IntersectionObserverItem;
    getItemElementByIndex: (id: string | number) => Element;
    getNextItem: () => IntersectionObserverItem;
    getNextItemGroup: () => IntersectionObserverItem;
    getNextElement: () => IntersectionObserverItem;
    getNextElementGroup: () => IntersectionObserverItem;
    getPrevItem: () => IntersectionObserverItem;
    getPrevItemGroup: () => IntersectionObserverItem;
    getPrevElement: () => IntersectionObserverItem;
    getPrevElementGroup: () => IntersectionObserverItem;
    isFirstItemVisible: boolean;
    isItemVisible: (id: string) => boolean;
    isLastItem: (id: string) => boolean;
    isLastItemVisible: boolean;
    scrollBySingleItem: <T>(target?: ItemOrElement, behavior?: CustomScrollBehavior<T>, direction?: string, gap?: number, offset?: number) => void | T | Promise<T>;
    scrollNext: <T_1>(behavior?: CustomScrollBehavior<T_1>, inline?: ScrollLogicalPosition, block?: ScrollLogicalPosition, { duration, ease, boundary, }?: scrollToItemOptions) => unknown;
    scrollNextGroup: <T_2>(behavior?: CustomScrollBehavior<T_2>, inline?: ScrollLogicalPosition, block?: ScrollLogicalPosition, { duration, ease, boundary, }?: scrollToItemOptions) => unknown;
    scrollPrev: <T_3>(behavior?: CustomScrollBehavior<T_3>, inline?: ScrollLogicalPosition, block?: ScrollLogicalPosition, { duration, ease, boundary, }?: scrollToItemOptions) => unknown;
    scrollPrevGroup: <T_4>(behavior?: CustomScrollBehavior<T_4>, inline?: ScrollLogicalPosition, block?: ScrollLogicalPosition, { duration, ease, boundary, }?: scrollToItemOptions) => unknown;
    scrollToItem: <T_5>(target?: ItemOrElement, behavior?: CustomScrollBehavior<T_5>, inline?: ScrollLogicalPosition, block?: ScrollLogicalPosition, options?: scrollToItemOptions) => void | T_5 | Promise<T_5>;
    visibleElements: visibleElements;
    visibleElementsWithSeparators: visibleElements;
    visibleItems: visibleElements;
    visibleItemsWithoutSeparators: visibleElements;
};
export interface autoScrollApiType extends ReturnType<typeof autoScrollApi> {
    initComplete: boolean;
    items: ItemsMap;
    scrollContainer: React.RefObject<HTMLElement | null>;
    visibleElements: visibleElements;
    visibleElementsWithSeparators: visibleElements;
}
