import React, { FC } from 'react';
export interface FeatureFlags {
    panelLazyLoadContent?: boolean;
}
export interface FeatureFlagContextProps {
    featureFlags?: FeatureFlags;
    children?: React.ReactNode;
}
declare const FeatureFlagContext: React.Context<FeatureFlags>;
export declare const FeatureFlagContextProvider: FC<FeatureFlagContextProps>;
/**
 * Hook to retreive a set of currently configured features flags
 * @returns The currently set feature flags.
 */
export declare const useFeatureFlags: () => FeatureFlags;
export default FeatureFlagContext;
