import type { GenerateConfig } from '../../Internal/Generate';
import type { PickerComponentClass, PickerDateProps, PickerProps, PickerTimeProps } from './Generate.types';
import type { InputStatus } from '../../../../shared/utilities';
export default function generatePicker<DateType>(generateConfig: GenerateConfig<DateType>): {
    DatePicker: PickerComponentClass<PickerProps<DateType> & {
        status?: InputStatus;
        showTime?: any;
    }, unknown>;
    WeekPicker: PickerComponentClass<Omit<PickerDateProps<DateType>, "picker">, unknown>;
    MonthPicker: PickerComponentClass<Omit<PickerDateProps<DateType>, "picker">, unknown>;
    YearPicker: PickerComponentClass<Omit<PickerDateProps<DateType>, "picker">, unknown>;
    TimePicker: PickerComponentClass<Omit<PickerTimeProps<DateType>, "picker">, unknown>;
    QuarterPicker: PickerComponentClass<Omit<PickerTimeProps<DateType>, "picker">, unknown>;
};
