import type { ButtonProps } from '../../../Button';
import { Shape, Size } from '../../../ConfigProvider';
import type { DatePickerShape, DatePickerSize, OcPickerMode } from '../../Internal/OcPicker.types';
import type { SharedTimeProps } from '../../Internal/Partials/TimePartial/Time.types';
export declare function getTimeProps<DateType, DisabledTime>(props: {
    format?: string;
    picker?: OcPickerMode;
} & Omit<SharedTimeProps<DateType>, 'disabledTime'> & {
    disabledTime?: DisabledTime;
}): {
    format?: string;
    nowButtonProps?: ButtonProps;
    okButtonProps?: ButtonProps;
    picker?: OcPickerMode;
    showNow?: boolean;
    showOk?: boolean;
    showHour?: boolean;
    showMinute?: boolean;
    showSecond?: boolean;
    use12Hours?: boolean;
    hourStep?: number;
    minuteStep?: number;
    secondStep?: number;
    hideDisabledOptions?: boolean;
    defaultValue?: DateType;
    shape?: DatePickerShape | Shape;
    size?: DatePickerSize | Size;
    disabledTime?: DisabledTime;
} | {
    showTime: {
        format?: string;
        nowButtonProps?: ButtonProps;
        okButtonProps?: ButtonProps;
        picker?: OcPickerMode;
        showNow?: boolean;
        showOk?: boolean;
        showHour?: boolean;
        showMinute?: boolean;
        showSecond?: boolean;
        use12Hours?: boolean;
        hourStep?: number;
        minuteStep?: number;
        secondStep?: number;
        hideDisabledOptions?: boolean;
        defaultValue?: DateType;
        shape?: DatePickerShape | Shape;
        size?: DatePickerSize | Size;
        disabledTime?: DisabledTime;
    };
};
