import type { GenerateConfig } from '../Generate';
import type { RangeValue, NullableDateType } from '../OcPicker.types';
export default function useCellClassNames<DateType>({ generateConfig, rangedValue, hoverRangedValue, isInView, isSameCell, offsetCell, today, todayActive, value, }: {
    generateConfig: GenerateConfig<DateType>;
    isSameCell: (current: NullableDateType<DateType>, target: NullableDateType<DateType>) => boolean;
    offsetCell: (date: DateType, offset: number) => DateType;
    isInView: (date: DateType) => boolean;
    rangedValue?: RangeValue<DateType>;
    hoverRangedValue?: RangeValue<DateType>;
    today?: NullableDateType<DateType>;
    todayActive?: boolean;
    value?: NullableDateType<DateType>;
}): (currentDate: DateType) => {
    [x: string]: boolean;
    "picker-cell-range-start-single": boolean;
    "picker-cell-range-end-single": boolean;
    "picker-cell-range-start-near-hover": boolean;
    "picker-cell-range-end-near-hover": boolean;
    "picker-cell-range-hover-edge-start": boolean;
    "picker-cell-range-hover-edge-end": boolean;
    "picker-cell-range-hover-edge-start-near-range": boolean;
    "picker-cell-range-hover-edge-end-near-range": boolean;
};
