import type { DatePickerShape, DatePickerSize, PartialSharedProps } from '../../OcPicker.types';
import type { GenerateConfig } from '../../Generate';
import { Shape, Size } from '../../../../ConfigProvider';
export declare const DECADE_UNIT_DIFF: number;
export declare const DECADE_DISTANCE_COUNT: number;
export declare const DECADE_COL_COUNT: number;
export declare const DECADE_ROW_COUNT: number;
export declare type DecadePartialProps<DateType> = PartialSharedProps<DateType>;
export declare type YearHeaderProps<DateType> = {
    /**
     * Generates the configured dates.
     */
    generateConfig: GenerateConfig<DateType>;
    /**
     * Callback executed onNextDecades event.
     */
    onNextDecades: () => void;
    /**
     * Callback executed onPrevDecades event.
     */
    onPrevDecades: () => void;
    /**
     * The DatePicker shape.
     */
    shape?: DatePickerShape | Shape;
    /**
     * The DatePicker size.
     * @default DatePickerSize.Medium
     */
    size?: DatePickerSize | Size;
    /**
     * The current year.
     */
    viewDate: DateType;
};
export declare type YearBodyProps<DateType> = {
    /**
     * Whether the date is disabled.
     */
    disabledDate?: (date: DateType) => boolean;
    /**
     * Generates the configured dates.
     */
    generateConfig: GenerateConfig<DateType>;
    /**
     * Callback executed onSelect event.
     */
    onSelect: (value: DateType) => void;
    /**
     * The DatePicker shape.
     */
    shape?: DatePickerShape | Shape;
    /**
     * The DatePicker size.
     * @default DatePickerSize.Medium
     */
    size?: DatePickerSize | Size;
    /**
     * The current decade year.
     */
    viewDate: DateType;
};
