import React from 'react';
import { Size } from '../../../ConfigProvider';
import { Components, DatePickerSize, RangeList } from '../OcPicker.types';
import { ButtonProps } from '../../../Button';
export declare type RangesProps = {
    /**
     * Custom items.
     */
    components?: Components;
    /**
     * Whether or not to display to 'OK' button.
     */
    needConfirmButton: boolean;
    /**
     * The 'Now' button props.
     */
    nowButtonProps?: ButtonProps;
    /**
     * The `Now`button text.
     * @default 'Now'
     */
    nowText?: string;
    /**
     * The 'OK' button props.
     */
    okButtonProps?: ButtonProps;
    /**
     * Whether the `OK` button is disabled.
     */
    okDisabled?: boolean;
    /**
     * The `OK` button text.
     * @default 'OK'
     */
    okText?: string;
    /**
     * Callback executed onNow event.
     */
    onNow?: null | (() => void) | false;
    /**
     * Callback executed onOk event.
     */
    onOk?: null | (() => void) | false;
    /**
     * List of Preset range buttons.
     */
    rangeList?: RangeList;
    /**
     * Show 'Now' button in partial when `showTime` is set.
     */
    showNow?: boolean;
    /**
     * Show 'OK' button in partial when `showTime` is set.
     */
    showOk?: boolean;
    /**
     * The DatePicker size.
     * @default DatePickerSize.Medium
     */
    size?: DatePickerSize | Size;
};
export default function getRanges({ components, needConfirmButton, nowButtonProps, nowText, okButtonProps, okDisabled, okText, onNow, onOk, rangeList, showNow, showOk, size, }: RangesProps): React.JSX.Element;
