import React from 'react';
import type { FC, PropsWithChildren, ReactNode } from 'react';
import type { OcFormProviderProps, OcMeta } from './Internal/OcForm.types';
import type { ColProps } from '../Grid';
import type { FormInstance } from './Form';
import type { FormLabelAlign, RequiredMark, ValidateStatus } from './Form.types';
export interface FormContextProps {
    vertical: boolean;
    name?: string;
    colon?: boolean;
    labelAlign?: FormLabelAlign;
    labelWrap?: boolean;
    labelCol?: ColProps;
    wrapperCol?: ColProps;
    requiredMark?: RequiredMark;
    itemRef: (name: (string | number)[]) => (node: React.ReactElement) => void;
    form?: FormInstance;
}
export declare const FormContext: React.Context<FormContextProps>;
/** Used for error collection */
export declare type ReportMetaChange = (meta: OcMeta, uniqueKeys: React.Key[]) => void;
export declare const NoStyleItemContext: React.Context<ReportMetaChange>;
export interface FormProviderProps extends Omit<OcFormProviderProps, 'validateMessages'> {
}
export declare const FormProvider: React.FC<FormProviderProps>;
/** Used for ErrorList only */
export interface FormItemStatusContextProps {
    status?: ValidateStatus;
}
export declare const FormItemStatusContext: React.Context<FormItemStatusContextProps>;
export interface FormItemStatusContextProps {
    isFormItemInput?: boolean;
    status?: ValidateStatus;
    hasFeedback?: boolean;
    feedbackIcon?: ReactNode;
    errorMessageId?: string;
}
export declare const FormItemInputContext: React.Context<FormItemStatusContextProps>;
export declare type NoFormStyleProps = PropsWithChildren<{
    status?: boolean;
    override?: boolean;
}>;
export declare const NoFormStyle: FC<NoFormStyleProps>;
