import React from 'react';
import type { ValidateStatus } from './Form.types';
export interface ErrorListProps {
    /**
     * Custom classnames of Error.List
     */
    classNames?: string;
    /**
     * Custom help node
     */
    help?: React.ReactNode;
    /**
     * The validation status
     */
    helpStatus?: ValidateStatus;
    /**
     * Error list
     */
    errors?: React.ReactNode[];
    /**
     * Warning list
     */
    warnings?: React.ReactNode[];
    /**
     * Callback executed on visibility chnage event
     */
    onVisibleChanged?: (visible: boolean) => void;
    /**
     * Unique id for the error message
     */
    errorMessageId?: string;
}
export default function ErrorList({ help, helpStatus, errors, warnings, classNames: rootClassNames, onVisibleChanged, errorMessageId, }: ErrorListProps): React.JSX.Element;
