import React from 'react';
import type { OcFormInstance } from '../Internal';
import type { InternalOcNamePath, OcNamePath, ScrollOptions } from '../Form.types';
export interface FormInstance<Values = any> extends OcFormInstance<Values> {
    scrollToField: (name: OcNamePath, options?: ScrollOptions) => void;
    /**
     * Gets field instance
     */
    getFieldInstance: (name: OcNamePath) => any;
    /**
     * @private This is for internal usage only.
     * Do not use in prod
     */
    __INTERNAL__: {
        name?: string;
        itemRef: (name: InternalOcNamePath) => (node: React.ReactElement) => void;
    };
}
export default function useForm<Values = any>(form?: FormInstance<Values>): [FormInstance<Values>];
