import type { InternalOcNamePath } from '../OcForm.types';
interface KV<T> {
    key: InternalOcNamePath;
    value: T;
}
/**
 * NameMap like a `Map` but accepts `string[]` as key.
 */
declare class NameMap<T> {
    private kvs;
    set(key: InternalOcNamePath, value: T): void;
    get(key: InternalOcNamePath): T;
    update(key: InternalOcNamePath, updater: (origin: T) => T | null): void;
    delete(key: InternalOcNamePath): void;
    map<U>(callback: (kv: KV<T>) => U): U[];
    toJSON(): Record<string, T>;
}
export default NameMap;
