import { FC } from 'react';
import { LineProps } from './Progress.types';
import type { ProgressGradient, StringGradients } from './Progress.types';
import type { DirectionType } from '../ConfigProvider';
/**
 * @example
 *   {
 *     "0%": "#afc163",
 *     "75%": "#009900",
 *     "50%": "green", // ====> '#afc163 0%, #66FF00 25%, #00CC00 50%, #009900 75%, #ffffff 100%'
 *     "25%": "#66FF00",
 *     "100%": "#ffffff"
 *   }
 */
export declare const sortGradient: (gradients: StringGradients) => string;
/**
 * @example
 *   {
 *     "0%": "#afc163",
 *     "25%": "#66FF00",
 *     "50%": "#00CC00", // ====>  linear-gradient(to right, #afc163 0%, #66FF00 25%,
 *     "75%": "#009900", //        #00CC00 50%, #009900 75%, #ffffff 100%)
 *     "100%": "#ffffff"
 *   }
 */
export declare const handleGradient: (strokeColor: ProgressGradient, directionConfig?: DirectionType) => {
    backgroundImage: string;
};
declare const Line: FC<LineProps>;
export default Line;
