import { FC } from 'react';
import { SliderProps } from './Slider.types';
/**
 * Provides the percentage representation of the provide value
 * based upon where it sits between the minimum and maximum value.
 *
 * @param value   The value to convert to percentage.
 * @param min     Minimum possible value.
 * @param max     Maximum possible value.
 * @returns       The percentage presentation of the provided value.
 */
export declare function valueToPercent(value: number, min: number, max: number): number;
export declare const Slider: FC<SliderProps>;
