import React from 'react';
import type { ColumnType, Key, GetPopupContainer, FilterSearchType } from '../../Table.types';
import type { FilterState } from './utils';
export interface FilterDropdownProps<RecordType> {
    column: ColumnType<RecordType>;
    filterCheckallText: string;
    filterConfirmText: string;
    filterEmptyText: string;
    filterResetText: string;
    filterState?: FilterState<RecordType>;
    filterMultiple: boolean;
    filterMode?: 'menu' | 'tree';
    filterSearch?: FilterSearchType;
    filterSearchPlaceholderText: string;
    columnKey: Key;
    children: React.ReactNode;
    triggerFilter: (filterState: FilterState<RecordType>) => void;
    getPopupContainer?: GetPopupContainer;
    filterResetToDefaultFilteredValue?: boolean;
}
declare function FilterDropdown<RecordType>(props: FilterDropdownProps<RecordType>): React.JSX.Element;
export default FilterDropdown;
