import type { TransformColumns, ColumnsType, FilterValue, GetPopupContainer } from '../../Table.types';
import type { FilterState } from './utils';
export declare function getFilterData<RecordType>(data: RecordType[], filterStates: FilterState<RecordType>[]): RecordType[];
interface FilterConfig<RecordType> {
    mergedColumns: ColumnsType<RecordType>;
    filterCheckallText: string;
    filterConfirmText: string;
    filterEmptyText: string;
    filterResetText: string;
    filterSearchPlaceholderText: string;
    onFilterChange: (filters: Record<string, FilterValue | null>, filterStates: FilterState<RecordType>[]) => void;
    getPopupContainer?: GetPopupContainer;
}
declare function useFilter<RecordType>({ mergedColumns, filterCheckallText, filterConfirmText, filterEmptyText, filterResetText, filterSearchPlaceholderText, onFilterChange, getPopupContainer, }: FilterConfig<RecordType>): [
    TransformColumns<RecordType>,
    FilterState<RecordType>[],
    () => Record<string, FilterValue | null>
];
export default useFilter;
