import type { TransformColumns, ColumnsType, Key, ColumnType, SortOrder, ColumnTitleProps, SorterResult } from '../Table.types';
import type { TooltipProps } from '../../Tooltip';
export interface SortState<RecordType> {
    column: ColumnType<RecordType>;
    key: Key;
    sortOrder: SortOrder | null;
    multiplePriority: number | false;
}
export declare function getSortData<RecordType>(data: readonly RecordType[], sortStates: SortState<RecordType>[], childrenColumnName: string): RecordType[];
interface SorterConfig<RecordType> {
    cancelSortText: string;
    mergedColumns: ColumnsType<RecordType>;
    onSorterChange: (sorterResult: SorterResult<RecordType> | SorterResult<RecordType>[], sortStates: SortState<RecordType>[]) => void;
    sortDirections: SortOrder[];
    triggerAscText: string;
    triggerDescText: string;
    showSorterDefaultIcon?: boolean;
    showSorterTooltip?: boolean | TooltipProps;
}
export default function useFilterSorter<RecordType>({ cancelSortText, mergedColumns, onSorterChange, sortDirections, triggerAscText, triggerDescText, showSorterDefaultIcon, showSorterTooltip, }: SorterConfig<RecordType>): [
    TransformColumns<RecordType>,
    SortState<RecordType>[],
    ColumnTitleProps<RecordType>,
    () => SorterResult<RecordType> | SorterResult<RecordType>[]
];
export {};
