import React from 'react';
import type { ColumnsType, ColumnType, FixedType, Key, GetRowKey, TriggerEventHandler, RenderExpandIcon } from '../OcTable.types';
export declare function convertChildrenToColumns<RecordType>(children: React.ReactNode): ColumnsType<RecordType>;
/**
 * Parse `columns` & `children` into `columns`.
 */
declare function useColumns<RecordType>({ columns, children, expandable, expandedKeys, getRowKey, onTriggerExpand, expandIcon, rowExpandable, rowExpandDisabled, direction, expandRowByClick, columnWidth, fixed, }: {
    columns?: ColumnsType<RecordType>;
    children?: React.ReactNode;
    expandable: boolean;
    expandedKeys: Set<Key>;
    getRowKey: GetRowKey<RecordType>;
    onTriggerExpand: TriggerEventHandler<RecordType>;
    expandIcon?: RenderExpandIcon<RecordType>;
    rowExpandable?: (record: RecordType) => boolean;
    rowExpandDisabled?: (record: RecordType) => boolean;
    direction?: string;
    expandRowByClick?: boolean;
    columnWidth?: number | string;
    fixed?: FixedType;
}, transformColumns: (columns: ColumnsType<RecordType>) => ColumnsType<RecordType>): [ColumnsType<RecordType>, readonly ColumnType<RecordType>[]];
export default useColumns;
