import type { GetRowKey, Key } from '../OcTable.types';
/**
 * flat tree data on expanded state
 *
 * @export
 * @template T
 * @param {*} data : table data
 * @param {string} childrenColumnName
 * @param {Set<Key>} expandedKeys
 * @param {GetRowKey<T>} getRowKey
 * @returns flattened data
 */
export default function useFlattenRecords<T>(data: any, childrenColumnName: string, expandedKeys: Set<Key>, getRowKey: GetRowKey<T>): {
    record: T;
    indent: number;
    index: number;
}[];
