import React from 'react';
import OcTable, { Summary } from './Internal';
import type { TableProps } from './Table.types';
import { ColumnsType, TablePaginationConfig } from './Table.types';
import { SELECTION_COLUMN } from './Hooks/useSelection';
import Column from './Internal/Column';
import ColumnGroup from './Internal/ColumnGroup';
export { ColumnsType, TablePaginationConfig };
declare const ForwardTable: <RecordType extends object = any>(props: TableProps<RecordType> & {
    children?: React.ReactNode;
} & {
    ref?: React.Ref<HTMLDivElement>;
}) => React.ReactElement;
declare type InternalTableType = typeof ForwardTable;
interface TableInterface extends InternalTableType {
    defaultProps?: Partial<TableProps<any>>;
    displayName?: string;
    SELECTION_COLUMN: typeof SELECTION_COLUMN;
    EXPAND_COLUMN: typeof OcTable.EXPAND_COLUMN;
    SELECTION_ALL: 'SELECT_ALL';
    SELECTION_INVERT: 'SELECT_INVERT';
    SELECTION_NONE: 'SELECT_NONE';
    Column: typeof Column;
    ColumnGroup: typeof ColumnGroup;
    Summary: typeof Summary;
}
declare const Table: TableInterface;
export default Table;
