import React from 'react';
import OcTree, { TreeNode } from './Internal';
import { TreeProps } from './Tree.types';
import type { BasicDataNode, DataNode } from './Internal/OcTree.types';
import DirectoryTree from './DirectoryTree';
declare type CompoundedComponent = (<T extends BasicDataNode | DataNode = DataNode>(props: React.PropsWithChildren<TreeProps<T>> & {
    ref?: React.Ref<OcTree>;
}) => React.ReactElement) & {
    defaultProps: Partial<React.PropsWithChildren<TreeProps<any>>>;
    TreeNode: typeof TreeNode;
    DirectoryTree: typeof DirectoryTree;
};
declare const Tree: CompoundedComponent;
export default Tree;
