import React, { Component } from 'react';
import type { OcUploadProps, OcFile } from './OcUpload.types';
interface ParsedFileInfo {
    action: string;
    data: Record<string, unknown>;
    origin: OcFile;
    parsedFile: OcFile;
}
declare class AjaxUploader extends Component<OcUploadProps> {
    state: {
        uid: string;
    };
    reqs: any;
    private fileInput;
    private _isMounted;
    onChange: (_event: React.ChangeEvent<HTMLInputElement>) => void;
    onClick: (_event: React.MouseEvent<HTMLDivElement> | React.KeyboardEvent<HTMLDivElement>) => void;
    onKeyDown: (_event: React.KeyboardEvent<HTMLDivElement>) => void;
    onFileDrop: (_event: React.DragEvent<HTMLDivElement>) => void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    uploadFiles: (files: File[]) => void;
    /**
     * Process file before upload. When all the files are ready, start upload.
     */
    processFile: (file: OcFile, fileList: OcFile[]) => Promise<ParsedFileInfo>;
    post({ data, origin, action, parsedFile }: ParsedFileInfo): void;
    reset(): void;
    abort(file?: any): void;
    saveFileInput: (node: HTMLInputElement) => void;
    render(): React.JSX.Element;
}
export default AjaxUploader;
