/**
 * Indicates the directionality of an element's text.
 */
export declare type dir = 'inherit' | 'ltr' | 'rtl';
/** The lang must be a valid string, and may contain
 * XX, XXX, XX-XX, XXX-XX, XXX-XXX, XX-XXX
 * XX/XX, XXX/XX, XXX/XXX, XX/XXX
 * @returns true or false.
 * @param language
 */
export declare const isValidLangFormat: (lang: string) => boolean;
/**
 * A Hook to return the canvas direction of the document, 'inherit', 'ltr', or 'rtl'.
 * Checks html dir, or lang if not present. Defaults to ltr.
 * @returns the canvas direction.
 * @param optional language string
 */
export declare const useCanvasDirection: (lang?: string) => string;
