export declare enum Breakpoints {
    XLarge = "(min-width: 1600px)",
    Large = "(min-width: 1200px)",
    Medium = "(min-width: 900px)",
    Small = "(min-width: 600px)",
    XSmall = "(min-width: 0)"
}
/**
 * A Hook to do CSS Media Queries in components.
 * @param breakpoint The mobile-first '(min-width: n)' threshold.
 * @returns a boolean determining if the threshold viewport size has been hit.
 */
export declare const useMatchMedia: (breakpoint: Breakpoints) => boolean;
