import { RefObject } from 'react';
/**
 * Helper hook for detecting clicks outside the ref element
 * @param ref The ref of the element we want to detect outside clicks on
 * @param handler Callback fired when an outside click is detected
 * @param visible Only activate on click listeners if the element is visible
 */
export declare const useOnClickOutside: (ref: RefObject<any>, handler: (event: MouseEvent) => void, visible?: boolean) => void;
