import React from 'react';
import { OcBaseProps } from '../components/OcBase';
export interface TruncateTextProps extends OcBaseProps<HTMLSpanElement> {
    children: React.ReactNode;
}
/**
 * A hook to truncate text with ellipsis.
 * Use this to ensure how text will be truncated in a UI element is consistent
 * across implementations and works with Tooltip.
 * @param options lineClamp: number
 * @returns [JSX.Element, boolean]
 */
export declare const useTruncate: (options?: {
    lineClamp: number;
}) => {
    TruncateText: ({ children, ...rest }: TruncateTextProps) => JSX.Element;
    isTextTruncated: boolean;
};
