/**
 * Utility to get the computed style of a given element.
 * @param element - The element.
 * @returns The computed style of a given element.
 */
export declare const getComputedStyle: (element: HTMLElement) => {};
/**
 * Utility to get the style value of a given element.
 * @param element - The element.
 * @param type - The style property
 * @param value -The style property value
 * @returns The style value of a given elementt.
 */
export declare const getStyleValue: (element: HTMLElement, type: string, value: any) => any;
/**
 * Utility to get the outer width of a given element.
 * @param element - The element.
 * @returns The outer width of a given element.
 */
export declare const getOuterWidth: (element: HTMLElement) => number;
/**
 * Utility to get the outer height of a given element.
 * @param element - The element.
 * @returns The outer height of a given element.
 */
export declare const getOuterHeight: (element: HTMLElement) => number;
/**
 * Utility to get the document width and height.
 * @returns The document width and height.
 */
export declare const getDocSize: () => {
    width: number;
    height: number;
};
/**
 * Utility to get the client size.
 * @returns The client size.
 */
export declare const getClientSize: () => {
    width: number;
    height: number;
};
/**
 * Utility to get the scroll position.
 * @returns The scroll position.
 */
export declare const getScrollPosition: () => {
    scrollLeft: number;
    scrollTop: number;
};
/**
 * Utility to get the offset position of a given element.
 * @param element - The element.
 * @returns The offset position of a given element.
 */
export declare const getOffset: (element: HTMLElement) => {
    left: number;
    top: number;
};
