/**
 * Returns true if and only if the user is on a iOS device.
 * Used to determine whether iOS-specific behavior should be applied.
 */
export declare const isIOS: () => boolean;
/**
 * Returns true if and only if the user is on a Android device.
 * Used to determine whether Android-specific behavior should be applied.
 */
export declare const isAndroid: () => boolean;
/**
 * Returns true if and only if the user is on a touch device and is currently using its touch API.
 * Used to determine interaciton with hybrid touch devices like Microsoft Surface.
 */
export declare const isTouchSupported: () => boolean;
