"use strict";var t=require("./conversion.js"),o=require("./css-color-names.js"),r=require("./format-input.js"),n=require("./util.js"),i=function(){function TinyColor(o,n){var i;if(void 0===o&&(o=""),void 0===n&&(n={}),o instanceof TinyColor)return o;"number"==typeof o&&(o=t.numberInputToObject(o)),this.originalInput=o;var s=r.inputToRGB(o);this.originalInput=o,this.r=s.r,this.g=s.g,this.b=s.b,this.a=s.a,this.roundA=Math.round(100*this.a)/100,this.format=null!==(i=n.format)&&void 0!==i?i:s.format,this.gradientType=n.gradientType,this.r<1&&(this.r=Math.round(this.r)),this.g<1&&(this.g=Math.round(this.g)),this.b<1&&(this.b=Math.round(this.b)),this.isValid=s.ok}return TinyColor.prototype.isDark=function(){return this.getBrightness()<128},TinyColor.prototype.isLight=function(){return!this.isDark()},TinyColor.prototype.getBrightness=function(){var t=this.toRgb();return(299*t.r+587*t.g+114*t.b)/1e3},TinyColor.prototype.getLuminance=function(){var t=this.toRgb(),o=t.r/255,r=t.g/255,n=t.b/255;return.2126*(o<=.03928?o/12.92:Math.pow((o+.055)/1.055,2.4))+.7152*(r<=.03928?r/12.92:Math.pow((r+.055)/1.055,2.4))+.0722*(n<=.03928?n/12.92:Math.pow((n+.055)/1.055,2.4))},TinyColor.prototype.getAlpha=function(){return this.a},TinyColor.prototype.setAlpha=function(t){return this.a=n.boundAlpha(t),this.roundA=Math.round(100*this.a)/100,this},TinyColor.prototype.toHsv=function(){var o=t.rgbToHsv(this.r,this.g,this.b);return{h:360*o.h,s:o.s,v:o.v,a:this.a}},TinyColor.prototype.toHsvString=function(){var o=t.rgbToHsv(this.r,this.g,this.b),r=Math.round(360*o.h),n=Math.round(100*o.s),i=Math.round(100*o.v);return 1===this.a?"hsv("+r+", "+n+"%, "+i+"%)":"hsva("+r+", "+n+"%, "+i+"%, "+this.roundA+")"},TinyColor.prototype.toHsl=function(){var o=t.rgbToHsl(this.r,this.g,this.b);return{h:360*o.h,s:o.s,l:o.l,a:this.a}},TinyColor.prototype.toHslString=function(){var o=t.rgbToHsl(this.r,this.g,this.b),r=Math.round(360*o.h),n=Math.round(100*o.s),i=Math.round(100*o.l);return 1===this.a?"hsl("+r+", "+n+"%, "+i+"%)":"hsla("+r+", "+n+"%, "+i+"%, "+this.roundA+")"},TinyColor.prototype.toHex=function(o){return void 0===o&&(o=!1),t.rgbToHex(this.r,this.g,this.b,o)},TinyColor.prototype.toHexString=function(t){return void 0===t&&(t=!1),"#"+this.toHex(t)},TinyColor.prototype.toHex8=function(o){return void 0===o&&(o=!1),t.rgbaToHex(this.r,this.g,this.b,this.a,o)},TinyColor.prototype.toHex8String=function(t){return void 0===t&&(t=!1),"#"+this.toHex8(t)},TinyColor.prototype.toRgb=function(){return{r:Math.round(this.r),g:Math.round(this.g),b:Math.round(this.b),a:this.a}},TinyColor.prototype.toRgbString=function(){var t=Math.round(this.r),o=Math.round(this.g),r=Math.round(this.b);return 1===this.a?"rgb("+t+", "+o+", "+r+")":"rgba("+t+", "+o+", "+r+", "+this.roundA+")"},TinyColor.prototype.toPercentageRgb=function(){var fmt=function(t){return Math.round(100*n.bound01(t,255))+"%"};return{r:fmt(this.r),g:fmt(this.g),b:fmt(this.b),a:this.a}},TinyColor.prototype.toPercentageRgbString=function(){var rnd=function(t){return Math.round(100*n.bound01(t,255))};return 1===this.a?"rgb("+rnd(this.r)+"%, "+rnd(this.g)+"%, "+rnd(this.b)+"%)":"rgba("+rnd(this.r)+"%, "+rnd(this.g)+"%, "+rnd(this.b)+"%, "+this.roundA+")"},TinyColor.prototype.toName=function(){if(0===this.a)return"transparent";if(this.a<1)return!1;for(var r="#"+t.rgbToHex(this.r,this.g,this.b,!1),n=0,i=Object.entries(o.names);n<i.length;n++){var s=i[n],h=s[0];if(r===s[1])return h}return!1},TinyColor.prototype.toString=function(t){var o=Boolean(t);t=null!=t?t:this.format;var r=!1,n=this.a<1&&this.a>=0;return o||!n||!t.startsWith("hex")&&"name"!==t?("rgb"===t&&(r=this.toRgbString()),"prgb"===t&&(r=this.toPercentageRgbString()),"hex"!==t&&"hex6"!==t||(r=this.toHexString()),"hex3"===t&&(r=this.toHexString(!0)),"hex4"===t&&(r=this.toHex8String(!0)),"hex8"===t&&(r=this.toHex8String()),"name"===t&&(r=this.toName()),"hsl"===t&&(r=this.toHslString()),"hsv"===t&&(r=this.toHsvString()),r||this.toHexString()):"name"===t&&0===this.a?this.toName():this.toRgbString()},TinyColor.prototype.toNumber=function(){return(Math.round(this.r)<<16)+(Math.round(this.g)<<8)+Math.round(this.b)},TinyColor.prototype.clone=function(){return new TinyColor(this.toString())},TinyColor.prototype.lighten=function(t){void 0===t&&(t=10);var o=this.toHsl();return o.l+=t/100,o.l=n.clamp01(o.l),new TinyColor(o)},TinyColor.prototype.brighten=function(t){void 0===t&&(t=10);var o=this.toRgb();return o.r=Math.max(0,Math.min(255,o.r-Math.round(-t/100*255))),o.g=Math.max(0,Math.min(255,o.g-Math.round(-t/100*255))),o.b=Math.max(0,Math.min(255,o.b-Math.round(-t/100*255))),new TinyColor(o)},TinyColor.prototype.darken=function(t){void 0===t&&(t=10);var o=this.toHsl();return o.l-=t/100,o.l=n.clamp01(o.l),new TinyColor(o)},TinyColor.prototype.tint=function(t){return void 0===t&&(t=10),this.mix("white",t)},TinyColor.prototype.shade=function(t){return void 0===t&&(t=10),this.mix("black",t)},TinyColor.prototype.desaturate=function(t){void 0===t&&(t=10);var o=this.toHsl();return o.s-=t/100,o.s=n.clamp01(o.s),new TinyColor(o)},TinyColor.prototype.saturate=function(t){void 0===t&&(t=10);var o=this.toHsl();return o.s+=t/100,o.s=n.clamp01(o.s),new TinyColor(o)},TinyColor.prototype.greyscale=function(){return this.desaturate(100)},TinyColor.prototype.spin=function(t){var o=this.toHsl(),r=(o.h+t)%360;return o.h=r<0?360+r:r,new TinyColor(o)},TinyColor.prototype.mix=function(t,o){void 0===o&&(o=50);var r=this.toRgb(),n=new TinyColor(t).toRgb(),i=o/100;return new TinyColor({r:(n.r-r.r)*i+r.r,g:(n.g-r.g)*i+r.g,b:(n.b-r.b)*i+r.b,a:(n.a-r.a)*i+r.a})},TinyColor.prototype.analogous=function(t,o){void 0===t&&(t=6),void 0===o&&(o=30);var r=this.toHsl(),n=360/o,i=[this];for(r.h=(r.h-(n*t>>1)+720)%360;--t;)r.h=(r.h+n)%360,i.push(new TinyColor(r));return i},TinyColor.prototype.complement=function(){var t=this.toHsl();return t.h=(t.h+180)%360,new TinyColor(t)},TinyColor.prototype.monochromatic=function(t){void 0===t&&(t=6);for(var o=this.toHsv(),r=o.h,n=o.s,i=o.v,s=[],h=1/t;t--;)s.push(new TinyColor({h:r,s:n,v:i})),i=(i+h)%1;return s},TinyColor.prototype.splitcomplement=function(){var t=this.toHsl(),o=t.h;return[this,new TinyColor({h:(o+72)%360,s:t.s,l:t.l}),new TinyColor({h:(o+216)%360,s:t.s,l:t.l})]},TinyColor.prototype.onBackground=function(t){var o=this.toRgb(),r=new TinyColor(t).toRgb();return new TinyColor({r:r.r+(o.r-r.r)*o.a,g:r.g+(o.g-r.g)*o.a,b:r.b+(o.b-r.b)*o.a})},TinyColor.prototype.triad=function(){return this.polyad(3)},TinyColor.prototype.tetrad=function(){return this.polyad(4)},TinyColor.prototype.polyad=function(t){for(var o=this.toHsl(),r=o.h,n=[this],i=360/t,s=1;s<t;s++)n.push(new TinyColor({h:(r+s*i)%360,s:o.s,l:o.l}));return n},TinyColor.prototype.equals=function(t){return this.toRgbString()===new TinyColor(t).toRgbString()},TinyColor}();exports.TinyColor=i;
//# sourceMappingURL=index.js.map
